let $form = $('#password-reset-by-mobile-form');
let validator = $('#password-reset-by-mobile-form').validate({
      rules: {
        mobile: {
          required: true,
          phone: true,
          es_remote: {
            type: 'get',
            callback: function (bool) {
              if (bool) {
                $('.js-sms-send').removeClass('disabled');
              } else {
                $('.js-sms-send').addClass('disabled');
              }
            }
          },
        },
        sms_code: {
          required: true,
          rangelength: [6, 6],
          es_remote: {
            type: 'get',
          },
        },
        'password': {
          required: true,
          minlength: 8,
          maxlength: 20
        },
        'confirmPassword': {
          required: true,
          equalTo: '#password'
        }
      },
      messages: {
        mobile: {
          required: Translator.trans('validate.phone.message')
        },
        sms_code: {
          required: Translator.trans('auth.password_reset.sms_code_required_hint'),
          rangelength: Translator.trans('auth.password_reset.sms_code_validate_hint'),
        },
        confirmPassword: {
          equalTo: "两次密码输入不相同"
        }
      }
  });
let $mobile = $('input[name="mobile"]');
if ($mobile.val() > 0) {
  var url = $('#mobile').data('url');
  var data = {};
  data.value = $('[name="mobile"]').val();
  $.get(url, data, function (response) {
      if (response == true) {
        $('.js-sms-send').removeClass('disabled');
      } else {
        $('.js-sms-send').addClass('disabled');
      }
  });
}
var refreshTimeLeft = function () {
      var leftTime = $('#js-time-left').html();
      $('#js-time-left').html(leftTime - 1);
      if (leftTime - 1 > 0) {
        $('.js-sms-send').removeClass('disabled');
        $('.js-sms-send').addClass('disabled');
        setTimeout(refreshTimeLeft, 1000);
      } else {
        $('#js-time-left').html('');
        $('#js-fetch-btn-text').html('获取验证码');
        $('.js-sms-send').removeClass('disabled');
      }
    };

$('.js-sms-send').click(function() {
    var url = $('.js-sms-send').data('url');
    var data = {};
    data.to = $('[name="mobile"]').val();
    data.sms_type = 'sms_forget_password';
    $.post(url, data, function (response) {
      if (("undefined" != typeof response['ACK']) && (response['ACK'] == 'ok')) {
        $('#js-time-left').html('60');
        $('#js-fetch-btn-text').html('s');
        refreshTimeLeft();
      } else {
        if ("undefined" != typeof response['error']) {
            showMessage("password-reset-by-mobile-form",response['error']);
            } else {
            showMessage("password-reset-by-mobile-form",Translator.trans('site.data.get_sms_code_failure_hint'));
        }
      }
    });
    
});

/*$('#login-form').keypress(function (e) {
  if (e.which == 13) {
    $('.address-create').trigger('click');
    e.preventDefault(); // Stops enter from creating a new line
  }
});*/

$('.js-btn-login').click(function() {
  if (validator.form()) {
    $(event.currentTarget).button('loadding');
    $form.submit();
  }
});
